Skip to content

Get Folder by Id

GET /rest/asset/v1/folder/{id}.json

Permissions Read-Only AssetsRead-Write Assets

Build a request and mock the response

Method: GET
Path: /rest/asset/v1/folder/{id}.json
Tag: Folders
Operation ID: getFolderByIdUsingGET

Returns the folder record with the given id. Required Permissions: Read-Only Assets, Read-Write Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int32) Yes Id of the folder to retrieve

Query parameters

Name Type Required Description Constraints
type string Yes Type of folder. 'Folder' or 'Program' enum: Folder, Program; default: Folder

Example request

GET {{base_url}}/rest/asset/v1/folder/{{id}}.json?type=Folder
Accept: application/json

Responses

200 — OK

Schema: model: ResponseOfFolderResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "accessZoneId": 123,
      "createdAt": "2026-01-15T10:30:00Z",
      "description": "string",
      "folderId": {
        "id": 123,
        "type": "Folder"
      },
      "folderType": "Email",
      "id": 123,
      "isArchive": true,
      "isSystem": true,
      "name": "Example name",
      "parent": {
        "id": 123,
        "type": "Folder"
      },
      "path": "string",
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com",
      "workspace": "string"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.